Subject: RE: IPP> Desperately seeking info on HTTP servers and CGI sc

From: Edward R Rhoads <[email-masked]>
Date: Wed, 04 Dec 96 17:06:00 PST

Text item: 

Tom,

A very good book on CGI scripts is the Nutshell Handbook:

    "CGI Programming on the World Wide Web" by Shishir Gundavaram,
    O'Reilly & Associates, Inc. ISBN: 1-56592-168-2

-----------------------------------------------------------------------
 Rob Rhoads                   E-Mail: [email-masked]
 Intel Corporation            
 Network Products Division    

______________________________ Forward Header __________________________________
Subject: IPP> Desperately seeking info on HTTP servers and CGI script
Author:  [email-masked] at SMTPGATE
Date:    12/4/96 4:20 PM

Apparently there are a lot of books on HTTP.  However, they have a lot of 
detail and it has been reported that it is hard to find out about
HTTP servers and CGI scripts.

The IPP project has agreed as a goal that the IPP protocol can be implemented 
in an HTTP server as a CGI script that interfaces with a printer or print 
system using whatever protocol that printer or print system supports so that 
no modifications have to be made to the HTTP server, except installing the CGI 
script.

Presumably you need a separate CGI script for each such printer or print 
system job submission protocol.

So where can we find out more about what CGI scripts are and what kinds 
of things can be written in them?  Are there RFCs?  Library books?

We want to prototype the IPP protocol as we develop it.

Thanks,
Tom

Text item: External Message Header

The following mail header is for administrative use
and may be ignored unless there are problems.

***IF THERE ARE PROBLEMS SAVE THESE HEADERS***.

Sender: [email-masked]
Subject: IPP> Desperately seeking info on HTTP servers and CGI scripts
From: Tom Hastings <[email-masked]>
To: [email-masked]
Date: Wed, 4 Dec 1996 16:20:02 PST
967 for ipp-outgoing; Wed, 4 Dec 1996 19:22:56 -0500 (EST)
Received: by pwg.org (bulk_mailer v1.5); Wed, 4 Dec 1996 19:23:06 -0500
Received: from localhost (daemon@localhost) by lists.underscore.com (8.7.5/8.7.3
) with SMTP id TAA03041; Wed, 4 Dec 1996 19:23:33 -0500 (EST)
Received: from lists.underscore.com (uscore.xtdl.com [206.25.228.63]) by ormail.
intel.com (8.8.3/8.7.3) with ESMTP id QAA28932; Wed, 4 Dec 1996 16:31:15 -0800 (
PST)
Received: from ormail.intel.com (ormail.intel.com [134.134.248.3]) by relay.jf.i
ntel.com (8.8.2/8.7.3) with ESMTP id QAA15009; Wed, 4 Dec 1996 16:31:20 -0800 (P
ST)
Return-Path: [email-masked]